#ifndef XMENULIST_H
#define XMENULIST_H

#include "xstring.h"
#include "xmenudef.h"

class XMenuList : public XAsset
{
public:
    XMenuList();
    ~XMenuList();

    void SetName(XString* aName);
    XString* GetName() const;

    int GetMenuCount() const;

    void SetMenuEntry(int aIndex, XMenuDef* aMenuDef);
    XMenuDef* GetMenuEntry(int aIndex) const;

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    XString* mName;
    int mMenuCount;
    QVector<XMenuDef*> mMenus;
};

#endif // XMENULIST_H
